Core - Bug # 49263

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Install Tool
Created: 2013-06-19 Assigned To:

Updated: 2013-06-19 Due date:

TYPO3 Version: 6.2

PHP Version: 54

Complexity: no-brainer

Is Regression:

Sprint Focus:

Subject: Install tool: Code optimization in update wizard action

Description

Related issues:

related to Core - Task # 49162: Rewrite install tool Resolved 2011-10-30

Associated revisions

Revision 640e6170 - 2013-06-19 22:13 - Christian Kuhn

[TASK] Install tool: Code optimization in update wizard action

An if with only a 'throw Exception' call in it breaks code execution
and acts as a guard clause. The code below does not need to be in

an else case.

Change-Id: Ib24ed4bee06763fb46145b815a0b6f3fdf7bafab
Resolves: #49263

Related: #49162

Releases: 6.2

Reviewed-on: https://review.typo3.org/21515

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2013-06-19 22:12 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21515

#2 - 2013-06-19 22:31 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:640e6170db3616c7507079f6a46e46529bd86710.
